$(document).ready ( function () {


// Погода -----------------------------

var weather_first_run = true
function print_weather ( el ) {
    if ( weather_first_run ) {
        weather_first_run = false
        $('.tpl-weather').append('<div class="яW"></div>')
     } else $('.яW').append('<div class="яS"></div>')
    
    var tMin = el.find('TEMPERATURE').attr('min')
    if ( tMin > 0 ) tMin = '+'+tMin
    var tMax = el.find('TEMPERATURE').attr('max')
    if ( tMax > 0 ) tMax = '+'+tMax
    var t = tMin+'...'+tMax+'&deg;C'
    
    var pMin = el.find('PRESSURE').attr('min')
    var pMax = parseInt(el.find('PRESSURE').attr('max'))+1
    var p = pMin+'-'+pMax+' мм'
    
    var directions = ['с','св','в','юв','ю','юз','з','сз']
    var wDir = el.find('WIND').attr('direction')
    var wMin = el.find('WIND').attr('min')
    var wMax = el.find('WIND').attr('max')
    var w = directions[wDir]+', '+wMin+'-'+wMax+'м/с'
     
    $('.яW').append('<div class="яWI">'+t+'<br/><span class="яSmall">'+p+' '+w+'</span></div>')
    $('.яWI:last').append('<div class="'+(el.attr('tod')==0?'яWInight':'яWIday')+'"></div>')
     if ( el.find('PHENOMENA').attr('cloudiness') > 1 )  $('.яWI:last').append('<div class="яWIcloud"></div>')
    if ( el.find('PHENOMENA').attr('precipitation') == 8 || el.find('PHENOMENA').attr('spower') == 1 )
         $('.яWI:last').append('<div class="яWIlightning'+(el.attr('tod')==0?'N':'D')+'"></div>')
    if ( el.find('PHENOMENA').attr('precipitation') <= 5 )
         $('.яWI:last').append('<div class="яWI'+(true||el.find('PHENOMENA').attr('precipitation')==5?'havyRain':'rain')+'"></div>')
}

 jQuery.ajax ( '/weather.xml', { dataType: 'xml', success: function ( xml ) {
    jQuery(xml).find('FORECAST').each( function () {
        if ( $(this).attr('tod') == 0 || $(this).attr('tod') == 2 ) print_weather($(this))
     } )
} } )

// EOF погода -------------------------


// события первого уровня меню

var limouseover = function () {
	var li = $(this)
	li.css('background', 'url("/images/menu_arrow.png") no-repeat scroll 8px 2px transparent')
	li.css('background-color', '#409f7c')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'visible' )
}

var limouseout = function () {
	var li = $(this)
	li.css('background', 'url("/images/menu_arrow.png") no-repeat scroll 8px 2px transparent')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'hidden' )
}

$('.tpl-menu > ul > li').bind ( 'mouseover', limouseover )
$('.tpl-menu > ul > li').bind ( 'mouseout', limouseout )

// события второго уровня меню

var limouseover2 = function () {
	var li = $(this)
	li.css('background', '#409f7c')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'visible' )
}

var limouseout2 = function () {
	var li = $(this)
	if ( li.prev().length ) li.css('background', 'transparent')
		else li.css('background', '#2f8767')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'hidden' )
}

$('.tpl-menu > ul > li > ul > li').bind ( 'mouseover', limouseover2 )
$('.tpl-menu > ul > li > ul > li').bind ( 'mouseout', limouseout2 )


// события третьего уровня меню

var limouseover3 = function () {
	var li = $(this)
	li.css('background', '#dae6eb')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'visible' )
}

var limouseout3 = function () {
	var li = $(this)
	if ( li.prev().length ) li.css('background', 'transparent')
		else li.css('background', '#c4d5dc')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'hidden' )
}

$('.tpl-menu > ul > li > ul > li > ul > li').bind ( 'mouseover', limouseover3 )
$('.tpl-menu > ul > li > ul > li > ul > li').bind ( 'mouseout', limouseout3 )
	
	
	
	var now = new Date(), days = ['вс','пн','вт','ср','чт','пт','сб'], months = ['января','февраля','марта','апреля','мая','июня','июля','августа','сентября','октября','ноября','декабря']
	$('.Day').html('<span>'+now.getDate()+' '+months[now.getMonth()]+' '+now.getFullYear()+', '+days[now.getDay()]+'</span>')

	$('#menu > li').bind('click', function() {
		$(this).find('ul').css('display', 'block')
	})
	$('#menu > li').each(function () {
		if ( $(this).find('.active').length > 0 ) $(this).find('ul').css('display', 'block')
		
	})
$('.tmpl-saveus').bind('click', function () { saveus() } )
 
$('.srch').bind('click', function() {
		$(this).parent('form').submit()
	} )    	
	

	
} )
